# Market Lookup Endpoint

Fetch the exact markets you care about — no discovery, just data. Includes hot-and-ready raw market data you can decode and parse client-side.

**Max markets: 10 per request.** Note: returns recent market data, derived from arbitrage transactions only. Market TTL is 12hrs.

<mark style="color:green;">**`POST`**</mark> `https://api.getfomo.bot/market-lookup`

**Request**

```bash
curl -X POST https://api.getfomo.bot/market-lookup \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key-here" \
  -d '{
    "markets": ["3iUT1oAAUSqKeHAjkumZJbptihy2yN7AwFij2CrsUZVC"]
  }'
```

**Body Fields**

<table><thead><tr><th width="235.3203125">Field</th><th width="118.01953125">Type</th><th width="142.41015625">Default</th><th>Description</th></tr></thead><tbody><tr><td><strong>markets</strong></td><td>string[]</td><td>["3iUT..."]</td><td>Market/pool addresses to fetch data for.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "success": true,
  "count": 1,
  "markets": [
    {
      "pubkey": "3iUT1oAAUSqKeHAjkumZJbptihy2yN7AwFij2CrsUZVC",
      "owner": "pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA",
      "intermedium_mint": "61Wj56QgGyyB966T7YsMzEAKRLcMvJpDbPzjkrCZc4Bi",
      "base_mint": "So11111111111111111111111111111111111111112",
      "updated_at": "2026-01-17T12:00:00Z",
      "raw_data": [241,154,109,...]
    }
    ...
  ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request",
  "invalid": ["InvalidMarket123"]
}
```

{% endtab %}

{% tab title="429" %}

```json
{
  "error": "Rate limit exceeded",
  "limit": 50,
  "unit": "requests/second"
}
```

{% endtab %}
{% endtabs %}
